> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cutmeshort.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve link analytics

> Get analytics for a link



## OpenAPI

````yaml get /link/{linkId}/{workspaceId}
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.cme.sh
security:
  - bearerAuth: []
paths:
  /link/{linkId}/{workspaceId}:
    get:
      description: Get analytics for a link
      parameters:
        - name: linkId
          in: path
          description: Id of the Link
          required: true
          schema:
            type: string
        - name: workspaceId
          in: path
          description: Id of the Workspace
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Link analytics response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Analytics'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Analytics:
      required:
        - name
      type: object
      properties:
        status:
          type: boolean
        data:
          type: object
          properties:
            freeUserData:
              type: object
              properties:
                dropDownData:
                  type: object
                  properties:
                    countries:
                      type: array
                      items:
                        type: string
                    states:
                      type: array
                      items:
                        type: string
                    cities:
                      type: array
                      items:
                        type: string
                    devices:
                      type: array
                      items:
                        type: string
                    userSelection:
                      type: object
                scoreCardDetails:
                  type: object
                  properties:
                    data:
                      type: object
                      properties:
                        totalClicks:
                          type: integer
                        uniqueCities:
                          type: array
                          items:
                            type: string
                        uniqueCountries:
                          type: array
                          items:
                            type: string
                        uniqueStates:
                          type: array
                          items:
                            type: string
                    chart:
                      type: string
            linkDetailsData:
              type: object
              properties:
                topBrowsers:
                  type: object
                  properties:
                    data:
                      type: object
                      properties:
                        browsers:
                          type: array
                          items:
                            type: object
                            properties:
                              count:
                                type: integer
                              browser:
                                type: string
                    chart:
                      type: string
                    display:
                      type: object
                      properties:
                        title:
                          type: string
                topDevices:
                  type: object
                  properties:
                    data:
                      type: object
                      properties:
                        devices:
                          type: array
                          items:
                            type: object
                            properties:
                              count:
                                type: integer
                              device:
                                type: string
                    chart:
                      type: string
                    display:
                      type: object
                      properties:
                        title:
                          type: string
                topPlatforms:
                  type: object
                  properties:
                    data:
                      type: object
                      properties:
                        devices:
                          type: array
                          items:
                            type: object
                            properties:
                              platform:
                                type: string
                              count:
                                type: integer
                    chart:
                      type: string
                    display:
                      type: object
                      properties:
                        title:
                          type: string
                daywiseDevices:
                  type: object
                  properties:
                    data:
                      type: object
                      properties:
                        series:
                          type: array
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                              data:
                                type: array
                                items:
                                  type: integer
                        seriesCategory:
                          type: array
                          items:
                            type: string
                    chart:
                      type: string
                    display:
                      type: object
                      properties:
                        title:
                          type: string
                topStates:
                  type: object
                  properties:
                    data:
                      type: array
                      items:
                        type: object
                        properties:
                          count:
                            type: integer
                          state:
                            type: string
                    chart:
                      type: string
                    display:
                      type: object
                      properties:
                        title:
                          type: string
                topCities:
                  type: object
                  properties:
                    data:
                      type: array
                      items:
                        type: object
                        properties:
                          city:
                            type: string
                          count:
                            type: integer
                    chart:
                      type: string
                    display:
                      type: object
                      properties:
                        title:
                          type: string
                clickTrends:
                  type: object
                  properties:
                    data:
                      type: object
                      properties:
                        totalClicks:
                          type: integer
                        percentageIncrease:
                          type: integer
                    chart:
                      type: string
                    display:
                      type: object
                      properties:
                        title:
                          type: string
                monthYearPlatform:
                  type: object
                  properties:
                    data:
                      type: object
                      properties:
                        series:
                          type: array
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                              data:
                                type: array
                                items:
                                  type: integer
                        categories:
                          type: array
                          items:
                            type: string
                    chart:
                      type: string
                    display:
                      type: object
                      properties:
                        title:
                          type: string
                        xAxisTitle:
                          type: string
                        yAxis:
                          type: string
                hourDayClicks:
                  type: object
                  properties:
                    data:
                      type: object
                      properties:
                        series:
                          type: array
                          items:
                            type: integer
                        categories:
                          type: array
                          items:
                            type: integer
                    chart:
                      type: string
                    display:
                      type: object
                      properties:
                        title:
                          type: string
                        xAxisTitle:
                          type: string
                        yAxis:
                          type: string
                clickedCountries:
                  type: object
                  properties:
                    data:
                      type: array
                      items:
                        type: array
                    chart:
                      type: string
                    display:
                      type: object
                      properties:
                        title:
                          type: string
                        yAxis:
                          type: string
            advanceAnalyticsData:
              type: object
              properties:
                advAnalytics:
                  type: object
                  properties:
                    power_parity_recommendation:
                      type: object
                      properties:
                        name:
                          type: string
                        treeData:
                          type: object
                          properties:
                            chart:
                              type: string
                            display:
                              type: object
                              properties:
                                title:
                                  type: string
                            data:
                              type: object
                              additionalProperties:
                                type: array
                                items:
                                  type: string
                        pieChart:
                          type: object
                          properties:
                            chart:
                              type: string
                            display:
                              type: object
                              properties:
                                title:
                                  type: string
                            data:
                              type: object
                              properties:
                                Prosperity Zones:
                                  type: integer
                                Balanced Economies:
                                  type: integer
                                Economic Struggles:
                                  type: integer
                    population_literacy_recommendation:
                      type: object
                      properties:
                        name:
                          type: string
                        treeData:
                          type: object
                          properties:
                            chart:
                              type: string
                            display:
                              type: object
                              properties:
                                title:
                                  type: string
                            data:
                              type: object
                              additionalProperties:
                                type: array
                                items:
                                  type: string
                        pieChart:
                          type: object
                          properties:
                            chart:
                              type: string
                            display:
                              type: object
                              properties:
                                title:
                                  type: string
                            data:
                              type: object
                              properties:
                                Educational Frontiers:
                                  type: integer
                                Diverse Growth Districts:
                                  type: integer
                                Emerging Development Corridors:
                                  type: integer
                    upi_penetration_recommendation:
                      type: object
                      properties:
                        name:
                          type: string
                        treeData:
                          type: object
                          properties:
                            chart:
                              type: string
                            display:
                              type: object
                              properties:
                                title:
                                  type: string
                            data:
                              type: object
                              additionalProperties:
                                type: array
                                items:
                                  type: string
                        pieChart:
                          type: object
                          properties:
                            chart:
                              type: string
                            display:
                              type: object
                              properties:
                                title:
                                  type: string
                            data:
                              type: object
                              properties:
                                Advanced UPI Adoption:
                                  type: integer
                                Intermediate UPI Integration:
                                  type: integer
                                UPI Beginners:
                                  type: integer
                    age_groups_recommendation:
                      type: object
                      properties:
                        name:
                          type: string
                        treeData:
                          type: object
                          properties:
                            chart:
                              type: string
                            display:
                              type: object
                              properties:
                                title:
                                  type: string
                            data:
                              type: object
                              additionalProperties:
                                type: array
                                items:
                                  type: string
                        pieChart:
                          type: object
                          properties:
                            chart:
                              type: string
                            display:
                              type: object
                              properties:
                                title:
                                  type: string
                            data:
                              type: object
                              properties:
                                Youthful EpiCenters:
                                  type: integer
                                Age-Balanced Environments:
                                  type: integer
                                Youth Deficient Districts:
                                  type: integer
    Error:
      type: object
      properties:
        status:
          type: boolean
          description: Indicates the status of the error response
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                description: Error code
              errorMessage:
                type: string
                description: Error message
            required:
              - code
              - errorMessage
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````